function [rys,opcja,opcja1] = rys_roz(fig,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,rys,opcja,opcja1)
if nargin<12
    opcja1 = 1;
end
ms = wiadomosc(PAR,25);
figure(fig);
il1 = 1;
il2 = 1;
if length(rys)==2
    il2 = 2;
end
if length(rys)>2
    il1 = 2;
    il2 = 2;
end
nr_zadania = PAR(3);
lwe = 3;
if PAR(20)==2
    lwe = 4;
end
osie = zeros(length(rys),1);
for k=1:length(rys)
    if opcja1==1
        subplot(il1,il2,k);
    end
    hold off
    plot3(0,0,0,'w');
    hold on
    grid on
    zmin = realmax;
    zmax = realmin;
    for i=1:PAR(15)
        w = T(i,:);
        x = X(w);
        y = Y(w);     
        if opcja==2
            if (PAR(9)==1 && PAR(6)==0)
                switch rys(k)
                    case 1
                        z = Roz(w);
                    case 2
                        z = Roz_x(i,1:lwe)';
                    case 3
                        z = Roz_y(i,1:lwe)';
                    case 4
                        z = sqrt( Roz_x(i,1:lwe).^2 + Roz_y(i,1:lwe).^2 )';
                end
            else               
                z = Roz_wyg(w,rys(k));
            end
        end 
        if opcja==1
            if k<=3
                z = roz_sc(x,y,nr_zadania,k-1);
                if k==2
                    z = -z*PAR(30);
                end
                if k==3
                    z = -z*PAR(31);
                end
            else
                z = sqrt( (PAR(30)*roz_sc(x,y,nr_zadania,1)).^2 + (PAR(31)*roz_sc(x,y,nr_zadania,2)).^2);
            end
            if length(z)==1
                z = z*ones(lwe,1);
            end
            if max((z))>zmax
                zmax = max((z));
            end
            if min((z))<zmin
                zmin = min((z));
            end
        end             
        patch(x,y,z,z,'edgecolor','interp');       
    end        
    switch rys(k)
        case 1
            if opcja==2
                zmin = min((Roz));
                zmax = max((Roz));
            end
            tyt = [tytul(PAR,5) ' T [^oC]'];
            lit = 'T';
        case 2
            if opcja==2
                if PAR(9)==1 && PAR(6)==0
                    zmin = min(min((Roz_x)));
                    zmax = max(max((Roz_x)));
                else
                    zmin = min(min(Roz_wyg(:,2)));
                    zmax = max(max(Roz_wyg(:,2)));
                end
            end
            tyt = [tytul(PAR,6) ' - ' tytul(PAR,10) ' q_x [ J/m^2s]'];
            lit = 'q_x';
        case 3
            if opcja==2
                if PAR(9)==1 && PAR(6)==0
                    zmin = min(min((Roz_y)));
                    zmax = max(max((Roz_y)));
                else
                    zmin = min(min(Roz_wyg(:,3)));
                    zmax = max(max(Roz_wyg(:,3)));
                end
            end
            tyt = [tytul(PAR,6) ' - ' tytul(PAR,10) ' q_y [ J/m^2s]'];
            lit = 'q_y';
        otherwise
            if opcja==2
                if PAR(9)==1 && PAR(6)==0
                    zmin = min(min((sqrt( Roz_x.^2 + Roz_y.^2 ))));
                    zmax = max(max((sqrt( Roz_x.^2 + Roz_y.^2 ))));
                else
                    zmin = min(min(Roz_wyg(:,4)));
                    zmax = max(max(Roz_wyg(:,4)));
                end
            end
            tyt = [tytul(PAR,6) ' - ' tytul(PAR,11) ' q_n [ J/m^2s]'];
            lit = 'q_n';
    end
    view(2);
    if length(rys)>1
        view(3);
    end
    axis tight;
    if abs(zmin-zmax)>10^-12
        Z = axis;
        axis([min(X) max(X) min(Y) max(Y) zmin zmax]);
    end
    colorbar();
    t=title('','FontSize',9,'FontWeight','bold','Color','b','BackGroundColor','y');
    nr = 4;
    s = '';
    if opcja==2
        nr = 12;
        if PAR(9)==2
            nr = 17;
        end
        if PAR(9)==3
            nr = 13;
            s = ' - ';
            s1 = tytul(PAR,14);
            if PAR(39)==2
                s1 = tytul(PAR,15);
            end
            s = strcat(s,s1);
        end
    end
    set(t,'String',{[tytul(PAR,nr) s],tyt , [lit '_,_m_i_n = ' num2str(zmin) ' , ' lit '_,_m_a_x = ' num2str(zmax)]});
    xlabel('x','Rotation',0,'FontWeight','bold','FontSize',12);
    ylabel('y','Rotation',0,'FontWeight','bold','FontSize',12);
    zlabel(lit,'Rotation',0,'FontWeight','bold','FontSize',12);
    osie(k) = gca;
end
m = uicontextmenu;
s = 'off';
if PAR(6)==1
    s = 'on';
end
s1 = 'off';
if PAR(9)==1
    s1 = 'on';
end
uimenu(m,'Label',nazwa(PAR,78),'Enable',s1,'Checked',s,'CallBack','PAR(6) = ~PAR(6); czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(fig,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,rys,opcja,opcja1); ');
set(fig,'uicontextmenu',m);
set(osie,'uicontextmenu',m);
t = get(gca,'Children');
for i=1:length(t)
    set(t(i),'uicontextmenu',m);
end
close(ms);
if nargout==0
    rys = 0;
    opcja = 0;
    opcja1 = 0;
end