function rys_siatka(fig,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw)
ms = wiadomosc(PAR,25);
figure(fig);
hold off
plot(0,0,'w');
hold on
grid on
n = PAR(14);
ile = PAR(15);
for i=1:PAR(12)
    plot([Xk(Kr(i,1)) Xk(Kr(i,2))],[Yk(Kr(i,1)) Yk(Kr(i,2))],'k-','LineWidth',3);
end
if ile>0 && (PAR(9)==1 || (PAR(9)==3 && PAR(39)==2 && PAR(42)==1))
    if PAR(20)==1
        triplot(T,X,Y,'g','linewidth',1.5);
    end
    if PAR(20)==2
        for i=1:ile
            a = abs(max(X(T(i,:))) - min(X(T(i,:))));
            b = abs(max(Y(T(i,:))) - min(Y(T(i,:))));
            r = rectangle('Position',[min(X(T(i,:))) min(Y(T(i,:))) a b]);
            set(r,'EdgeColor','g','LineWidth',1.5);
        end
    end
end
if PAR(24)==1 && (PAR(9)==1 || (PAR(9)==3 && PAR(39)==2 && PAR(42)==1))
    for i=1:ile
        w = T(i,:);
        text( sum(X(w))/length(X(w)) , sum(Y(w))/length(Y(w)), num2str(i) ,'Color','g',...
            'FontWeight','bold','BackgroundColor','b','FontSize',7);
    end
end
if PAR(26)>0 && PAR(36)==1
    for i=1:PAR(26)
        if AKw(i)==0
            kol = 'b';
            if WBw(i,1)==1
                kol = 'r';
            end
            plot(Xw(i),Yw(i),[kol '*'],'markersize',6);
            plot(Xw(i),Yw(i),[kol 'o'],'markersize',6);
        end
    end
end

NR1 = zeros(n,1);
NR2 = zeros(n,1);
j1=0;
j2=0;
for i=1:n
    if WB(i,1)==1
        j1=j1+1;
        NR1(j1)=i;
    end
    if WB(i,1)==0
        j2=j2+1;
        NR2(j2)=i;
    end
end
rozmiar = 6*(1-n/10000);
if rozmiar<=0
    rozmiar = 1;
end
plot(X(NR1(1:j1)),Y(NR1(1:j1)),'ro','markerfacecolor','r','markersize',rozmiar,'linewidth',2);
plot(X(NR2(1:j2)),Y(NR2(1:j2)),'ro','markerfacecolor','w','markersize',rozmiar,'linewidth',2);
xmin = min(Xk);
xmax = max(Xk);
ymin = min(Yk);
ymax = max(Yk);
dx = (xmax-xmin);
dy = (ymax-ymin);
d1 = 0.01;
d2 = 0.03;
if PAR(23)==1
    for i=1:n
        text(X(i)+d1*dx,Y(i)-d2*dy,num2str(i),'Color','r','FontWeight','bold',...
            'BackgroundColor','w','EdgeColor','k','LineWidth',1,'FontSize',7);
    end
end

t=title('','FontWeight','bold','FontSize',14,'Color','r','BackGroundColor','y');
set(t,'String',{tytul(PAR,7),[tytul(PAR,8) ' = ' num2str(n)]});
if PAR(9)==1 || (PAR(9)==3 && PAR(39)==2)       
    s = [tytul(PAR,9) ' = ' num2str(ile)];
    set(t,'String',{tytul(PAR,7),[tytul(PAR,8) ' = ' num2str(n)],s});
end
xlabel('x');
ylabel('y');

axis equal
d = 0.1;
axis([xmin-d*dx xmax+d*dx ymin-d*dy ymax+d*dy]);
m = uicontextmenu;
s = 'off';
if PAR(23)==1
    s = 'on';
end
m1=uimenu(m,'Label',nazwa(PAR,23),'Checked',s,'CallBack','PAR(23) = ~PAR(23); rys_siatka(fig,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw); ');
s = 'off';
if PAR(24)==1
    s = 'on';
end
s1 = 'on';
if PAR(9)==2 || (PAR(9)==3 && PAR(39)==1) || (PAR(9)==3 && PAR(42)==0)
    s1 = 'off';
end
m2=uimenu(m,'Label',nazwa(PAR,24),'Checked',s,'CallBack','PAR(24) = ~PAR(24); rys_siatka(fig,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw); ','Enable',s1);
s = 'off';
if PAR(42)==1
    s = 'on';
end
s1 = 'off';
if PAR(9)==3 && PAR(39)==2
    s1 = 'on';
end
m3=uimenu(m,'Label',nazwa(PAR,111),'Checked',s,'CallBack','PAR(42) = ~PAR(42); rys_siatka(fig,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw); ','Enable',s1);
set(fig,'uicontextmenu',m);
set(gca,'uicontextmenu',m);
t = get(gca,'Children');
for i=1:length(t)
    set(t(i),'uicontextmenu',m);
end
close(ms);