ms = wiadomosc(PAR,25);
figure(fig);
hold on
grid on
ilk = PAR(12);
for i=1:ilk
    n1 = Kr(i,1);
    n2 = Kr(i,2);
    kolor = 'k';
    if Kr(i,3)==2
        kolor = 'k';
    end
    if Kr(i,5)==1
        plot([Xk(n1) Xk(n2)],[Yk(n1) Yk(n2)],[kolor '-'],'linewidth',6);
        text( (Xk(n1)+Xk(n2))/2 , (Yk(n1)+Yk(n2))/2 , [litera(PAR,2) num2str(i)],'FontSize',10,'BackgroundColor','g','EdgeColor','r','LineWidth',1);
    end
    if Kr(i,5)==2
        r1 = abs( Xk(n2) - Xk(n1) );
        r2 = abs( Yk(n2) - Yk(n1) );
        r = min([r1 r2]);
        x0 = min([Xk(n1) Xk(n2)]) + r;
        y0 = min([Yk(n1) Yk(n2)]) + r;
        c1 = (Xk(n1)-x0)/r;
        s1 = (Yk(n1)-y0)/r;
        c2 = (Xk(n2)-x0)/r;
        s2 = (Yk(n2)-y0)/r;      
        kat1 = kat(c1,s1);
        kat2 = kat(c2,s2);
        if abs(kat2)<10^-12
            kat2  = 2*pi;
        end
        alfa = kat1:0.01:kat2;
        x = x0 + r*cos(alfa);
        y = y0 + r*sin(alfa);
        plot(x,y,[kolor '-'],'linewidth',6);
    end    
end
plot(Xk,Yk,'bs','markerfacecolor','y');
xmin = min(Xk);
xmax = max(Xk);
ymin = min(Yk);
ymax = max(Yk);
dx = (xmax-xmin);
dy = (ymax-ymin);
d1 = 0.01;
d2 = 0.03;
for i=1:PAR(11)
    text(Xk(i)+d1*dx,Yk(i)-d2*dy,[litera(PAR,1) num2str(i)],'FontSize',10,'BackgroundColor','y','EdgeColor','k','LineWidth',1);
end
axis equal
d = 0.1;
if abs(dx)>10^-12 && abs(dy)>10^-12
    axis([xmin-d*dx xmax+d*dx ymin-d*dy ymax+d*dy]);
end
t=title('','FontWeight','bold','FontSize',12,'Color','r','BackGroundColor','y');
ile = PAR(13)-1;
if ile<0
    ile = 0;
end
set(t,'String',{tytul(PAR,1), [tytul(PAR,2) ' = ' num2str(PAR(11)) ' , ' tytul(PAR,3) ' = ' num2str(PAR(12))] , [tytul(PAR,16) ' = ' num2str(ile)]});
close(ms);