%function heatmil
clear all
clc
close all
global opcja d1 d2 d3 d4 PAR;
jezyk = 1; % 1 - polski, 2 - angielski
opcja = 1;
czysc_dane;
%obszar = 2;
%PAR(1) = obszar;
%PAR(17) = jezyk;

opcja = 1;
pyt_jezyk;

if opcja==1  
    ilmen = 8;
    ilop = [4 4 5 2 8 3 2 4];
    kol = ['b','r','k','m','y','b','r','k'];
    men = zeros(ilmen,20);
    % 1. OBSZAR: RYS, PUNKTY, KRAW, OTWORY
    % 2. MODEL: RYS, MAT, OBC, WAR.BRZEG
    % 3. SIATKA: RYS, RCZNA, AUTOMAT, KONWERSJA (PROS-TROJ), USUNICIE
    % 4. OBLICZENIA: SPRAWDZENIE, START
    % 5. WYKRESY: OBSZAR, BRZEG, SIATKA, ROZW.C, ROZW.NUM, POCHODNE_NUM, WSZYSTKIE_WYK, CZYSZCZENIE
    % 6. DANE: NOWE, ZAPIS, ODCZYT
    % 7. USTAWIENIA: PROGRAMU, MODELU
    % 8. REZULTATY: WZOWE, ELEMENTOWE, DOWOLNE, ZAPIS
    fig = figure(1);
    set(fig,'Name','H E A T M I L    v.3.1','NumberTitle','off','Color',[0.2 0.7 0.9]);
    %ax = axes;
    %set(ax,'Visible','off');
    %set(fig,'Position',get(0,'ScreenSize'));
    czysc_rys(fig,0);
    set(fig,'Position',get(0,'ScreenSize'));
    for i=1:ilmen
        men(i,1) = uimenu(fig,'Label',lab_menu(PAR,i,1),'Position',i,'ForegroundColor',kol(i));
        for j=0:ilop(i)
            if j>0
                men(i,j+1) = uimenu(men(i,1),'Label',lab_menu(PAR,i,j+1),'Position',j,'ForegroundColor','k');
            end
        end
    end
    m = zeros(3,1);
    for i=1:3
        m(i) = uimenu(men(5,7),'Label',lab_menu(PAR,11,i),'Position',i,'ForegroundColor','k');
    end
    set([men(5,5) men(5,6) men(5,9) m(3) men(8,5) men(6,3)],'Separator','on');
    set(m(1),'CallBack','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,2,2); hold off');
    set(m(2),'CallBack','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,3,2); hold off');
    set(m(3),'CallBack','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,4,2); hold off');
    set([men(1,2) men(5,2)],'CallBack','czysc_rys(fig,ilmen); rys_obszar(1,PAR,Kr,Xk,Yk);');
    set([men(1,3)],'CallBack','punkty_krawedzi; akt_menu;');
    set([men(1,4)],'CallBack','linie_krawedzi; akt_menu;');
    set(men(6,2),'CallBack','opcja=2; czysc_dane; czysc_rys(1,ilmen,opcja); opcja=1; akt_menu;');
    set([men(2,2) men(5,3)],'CallBack','czysc_rys(fig,ilmen); PAR(37)=1; rys_obszar(1,PAR,Kr,Xk,Yk); akt_menu;');
    set(men(2,3),'CallBack','pyt_material; akt_menu;');
    set(men(2,4),'CallBack','pyt_obciazenie; akt_menu;');
    set(men(2,5),'CallBack','war_brzeg; akt_menu;');
    set(men(3,4),'CallBack','czysc_rys(fig,ilmen); opcja=1; [PAR,X,Y,WB,T,AKw] = siatka(PAR,Xk,Yk,Kon,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw,1); akt_menu;');
    set(men(3,5),'CallBack','czysc_rys(fig,ilmen); wiad=1 ; konw_siatka; akt_menu; rys_siatka(1,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw);');
    set(men(3,6),'CallBack','usun_siatka; akt_menu;');
    set(men(3,3),'CallBack','czysc_rys(fig,ilmen); elementy_wezly; rys_siatka(1,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw); akt_menu;');
    set(men(5,9),'CallBack','czysc_rys(fig,ilmen)');
    set([men(3,2) men(5,4)],'CallBack','czysc_rys(fig,ilmen); rys_siatka(1,PAR,Xk,Yk,Kr,X,Y,WB,T,Xw,Yw,WBw,AKw);');
    set(men(8,2),'CallBack','opcja1=0; op_wyn = 1; wyniki_tekst;');
    set(men(8,3),'CallBack','opcja1=0; op_wyn = 2; wyniki_tekst;');
    set(men(8,4),'CallBack','opcja1=0; op_wyn = 3; wyniki_tekst;');
    set(men(8,5),'Callback','zapis_wyn;');
    set(men(4,2),'Callback','wypis = 1; czysc_rys(fig,ilmen); sprawdzenie(PAR,X,Y,WB,T,Kr,Roz,Reakcje,f_wzor,wypis);');
    set(men(4,3),'Callback','opcja = 1; wypis = 0; [PAR,Roz,Reakcje,X,Y,WB,T,AKw,opcja] = solver(PAR,Xk,Yk,Kon,X,Y,WB,T,Xw,Yw,WBw,AKw,Kr,Roz,Reakcje,f_wzor,wypis); akt_menu; [Roz_x,Roz_y,Roz_wyg] = postproc(PAR,X,Y,T,Roz,Roz_x,Roz_y,Roz_wyg,opcja); czysc_rys(fig,ilmen,opcja); opcja=1;');
    
    set(men(5,5),'Callback','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,[1 2 3 4],1); hold off');
    set(men(5,6),'Callback','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,1,2); hold off;');
    set(men(5,8),'Callback','czysc_rys(fig,ilmen); [rys,opcja,opcja1] = rys_roz(1,PAR,Roz,Roz_x,Roz_y,Roz_wyg,T,X,Y,[1 2 3 4],2);, hold off');
    
    set(men(6,3),'Callback','zapisz_dane;');
    set(men(6,4),'Callback','odczyt_dane;');
    
    set(men(7,3),'Callback','ustawienia;');
    
    if PAR(1)>0
        [PAR,Xk,Yk,Kr,Kon] = dane_pocz([men(3,1) men(3,3) men(3,4)],PAR);
    end
    akt_menu;
end

