function opcja = sprawdzenie(PAR,X,Y,WB,T,Kr,Roz,Reakcje,f_wzor,wypis)
opcja = 1;
maxb = 30;
maxo = 20;
BLAD = zeros(maxb,1);
OST = zeros(maxo,1);

%BD:
% 1 - brak punktw
% 2 - pokrywajce si punkty
% 3 - brak lub za mao linii
% 4 - pokrywajce si linie
% 5 - punkty bez linii
% 6 - brak konturu
% 7 - kx=0
% 8 - ky=0
% 9 - 0 wb podst
% 10 - brak siatki
% 11 - pokrywajce si wzy
% 12 - pokrywajce si elementy
% 13 - wzy bez elementw
%
% OSTRZEENIE:
% 1 - brak obcienia
% 2 - siatka prostoktw w obszarze trjktnym

BLAD(1) = PAR(11) == 0;
BLAD(3) = PAR(12) <= 2;
BLAD(6) = PAR(13) == 0;
BLAD(7) = PAR(30) <= 0;
BLAD(8) = PAR(31) <= 0;
BLAD(10) = PAR(18) == 0;
lwe = 3;
if PAR(20)==2
    lwe = 4;
end

il = 0;
for i=1:PAR(12)
    if Kr(i,3)==1
        il = il + 1;
    end
end
if il==0
    BLAD(9) = 1;
end

if PAR(18)==1
    il = 0;
    for i=1:PAR(15)
        nr1 = sort(T(i,:));
        for j=1:PAR(15)
            if i~=j
                nr2 = sort(T(j,:));
                if nr1 == nr2
                    il = il + 1;
                end
            end
        end
        if il>0
            break;
        end
    end
    if il>0
        BLAD(12) = 1;
    end
    for i=1:PAR(14)
        il = 0;
        for j=1:PAR(15)
            for k=1:lwe
                if T(j,k)==i
                    il = il + 1;
                end
            end
        end
        if il==0 && PAR(9)==1
            BLAD(13) = 1;
            break;
        end
    end
    eps = 10^-12;
    il = 0;
    for i=1:PAR(14)
        for j=1:PAR(14)
            if i~=j
                d = sqrt( (X(i) - X(j))^2 + (Y(i) - Y(j))^2 );
                if d<eps
                    il = il + 1;
                end            
            end
            if il>0
                break;
            end
        end
    end
    if il>0
        BLAD(11) = 1;
    end
end

if f_wzor == '0'
    il = 0;
    for i=1:PAR(12)
        if Kr(i,3)==2 && Kr(i,4)~=0
            il = il + 1;
        end
    end
    if il==0
        OST(1) = 1;
    end
end

if PAR(10)>PAR(14)
    OST(3) = 1;
end


BLADpol = {'BRAK PUNKTW KRAWDZI';'POKRYWAJCE SI PUNKTY KRAWDZI';'BRAK LUB ZA MAO LINII BRZEGOWYCH';...
    'POKRYWAJCE SI LINIE BRZEGOWE';'PUNKTY KRAWDZIOWE BEZ LINII BRZEGOWEJ';'BRAK KONTURU OBSZARU';'ZA WARTO WSPӣCZYNNIKA kx';...
    'ZA WARTO WSPӣCZYNNIKA ky';'BRAK WARUNKW BRZEGOWYCH DLA TEMPERATURY';'BRAK SIATKI';'POKRYWAJCE SI WZY W SIATCE';'POKRYWAJCE SI ELEMENTY W SIATCE';...
    'WZY BEZ ELEMENTW'};
BLADang = {'EDGE POINTS ARE MISSING';'EDGE POINTS OVERLAP';'NOT ENOUGH NUMBER OF EDGE LINES';...
    'EDGE LINES OVERLAP';'LOOSE EDGE POINTS';'EDGE CONTOUR IS MISSING';'BAD VALUE OF COEFFICIENT kx';...
    'BAD VALUE OF COEFFICIENT ky';'ESSENTIAL BOUNDARY CONDITIONS FOR TEMPERATURE ARE MISSING';'THE MESH IS MISSING';'NODES IN THE MES OVERLAP';'ELEMENTS IN THE MESH OVERLAP';...
    'NODES WITHOUT ELEMENTS'};

OSTpol = {'NIE ZOSTAO ZDEFINIOWANE ADNE OBCIENIE';'SIATKA PROSTOKTW NIE PASUJE DO KSZTATU OBSZARU';'ZA MAO INFORMACJI DO WYGADZANIA WYNIKW'};
OSTang = {'NO LOAD HAS BEEN DEFINED';'RECTANGULAR MESH DOES NOT FIT TO THE DOMAIN SHAPE';'NOT ENOUGH INFORMATION FOR RESULTS SMOOTHING'};

ilb = sum(BLAD);
ilo = sum(OST);

if ilb>0 || ilo>0
    if wypis==0
        opcja = 0;
        if ilb>0
            uiwait(msgbox(info(PAR,29),info(PAR,12),'error','modal'));
        end
        if ilb==0
            odp = questdlg(info(PAR,30), '???',info(PAR,5), info(PAR,6),info(PAR,5));
            if strcmp(odp,info(PAR,5))==1
                opcja = 1;
            end
        end
    end
    if wypis==1
        set(gcf,'units','pixels');
        Pos = get(gcf,'Position');
        fig = gcf;
        wys = 20;
        dl1 = 150;
        dl2 = 80;
        ods = 10;
        odd = 60;
        uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
            'BackGroundColor','y','HorizontalAlignment','center','ForeGroundcolor','r',...
            'String',[info(PAR,31) ' : ' num2str(ilb)],'Position',[10 Pos(4)-30 dl1*2+10 25]);
        k = 0;
        for i=1:maxb
            if BLAD(i)==1
                k = k + 1;
                switch PAR(17)
                    case 1
                        s = cell2mat(BLADpol(i,:));
                    case 2
                        s = cell2mat(BLADang(i,:));
                end
                uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
                    'BackGroundColor','g','HorizontalAlignment','center','ForeGroundcolor','r',...
                    'String',[info(PAR,35) ' : ' num2str(i)],'Position',[100 Pos(4)-30-30*k dl1*1.5+10 25]);
                uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
                    'BackGroundColor','w','HorizontalAlignment','center','ForeGroundcolor','r',...
                    'String',s,'Position',[100+dl1*1.5+10+20 Pos(4)-30-30*k dl1*4+10 25]);
            end
        end
        uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
            'BackGroundColor','y','HorizontalAlignment','center','ForeGroundcolor','b',...
            'String',[info(PAR,33) ' : ' num2str(ilo)],'Position',[10 Pos(4)-30-30*(ilb+2) dl1*2+10 25]);
        k = 0;
        for i=1:maxo
            if OST(i)==1
                k = k + 1;
                switch PAR(17)
                    case 1
                        s = cell2mat(OSTpol(i,:));
                    case 2
                        s = cell2mat(OSTang(i,:));
                end
                uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
                    'BackGroundColor','g','HorizontalAlignment','center','ForeGroundcolor','b',...
                    'String',[info(PAR,36) ' : ' num2str(i)],'Position',[100 Pos(4)-30-30*k-30*(ilb+2) dl1*1.5+10 25]);
                uicontrol(fig,'style','pushbutton','FontSize',12,'FontWeight','bold',...
                    'BackGroundColor','w','HorizontalAlignment','center','ForeGroundcolor','b',...
                    'String',s,'Position',[100+dl1*1.5+10+20 Pos(4)-30-30*k-30*(ilb+2) dl1*4+10 25]);
            end
        end
    end
else
    if wypis==1
        uiwait(msgbox(info(PAR,37),'INFO','help','modal'));
    end
end

